Multivariate Pattern Analysis in Python

# mvpa2.clfs.warehouse.FixedNElementTailSelector

class `mvpa2.clfs.warehouse.``FixedNElementTailSelector`(nelements, **kwargs)

  Given a sequence, provide set of IDs for a fixed number of to be selected elements.

  Notes

  Available conditional attributes:

  - `ndiscarded+`: Store number of discarded elements.

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `descr` | Description of the object if any
  `mode` |
  `nelements` |

  Methods

  Parameters:

  nelements : int

  > Number of elements to select/discard.

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  tail : [‘lower’, ‘upper’]

  > Choose the tail to be processed.

  sort : bool

  > Flag whether selected IDs will be sorted. Disable if not necessary to save some CPU cycles.

  mode : {‘discard’, ‘select’}

  > Decides whether to `select` or to `discard` features.

  descr : str

  > Description of the instance

  Attributes

  `descr` | Description of the object if any
  `mode` |
  `nelements` |

  Methods

  `nelements`